Bug 481679

Summary: [2.6.28] Can't switch users on notebook
Product: [Fedora] Fedora Reporter: David <webmaster>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 10CC: jmccann, jpazdziora, kernel-maint, rstrode, steven, theholyettlz
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-11-18 10:32:15 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
dmesg from notebook
none
Oops seen in similar circumstances on Clevo M720R, X3100 graphics, kernel-2.6.29-0.53.rc7.fc10.x86_64 none

Description David 2009-01-26 19:20:55 EST
Created attachment 330048 [details]
dmesg from notebook

Description of problem:

Kernel failure on gnome login and you can't switch users, it goes to a screen showing only other anhd sort of freezes.  Only happens on the 2.6.28.1 series of kernels.


Kernel failure message 1:
BUG: unable to handle kernel NULL pointer dereference at 00000000
IP: [<c0497baa>] mem_cgroup_charge_common+0x13b/0x1ea
*pde = 7ee5d067 
Oops: 0000 [#1] SMP 
last sysfs file: /sys/devices/virtual/backlight/acpi_video0/brightness
Dumping ftrace buffer:
  (ftrace buffer empty)
Modules linked in: i915 drm rfkill_input sco bridge stp bnep l2cap bluetooth fuse sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq dm_multipath uinput arc4 ecb b43 rfkill mac80211 cfg80211 snd_hda_intel input_polldev snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm 8139cp 8139too mii snd_timer snd_page_alloc video output snd_hwdep iTCO_wdt iTCO_vendor_support snd i2c_i801 pcspkr soundcore wmi ssb i2c_core joydev [last unloaded: microcode]
Jan 27 10:58:36 notebook kernel: Pid: 3825, comm: cc1 Not tainted (2.6.28.1-19.fc10.i686 #1) Presario C500 (GF572UA#ABA)       
EIP: 0060:[<c0497baa>] EFLAGS: 00010246 CPU: 0
EIP is at mem_cgroup_charge_common+0x13b/0x1ea
EAX: 00000000 EBX: 00000004 ECX: 00000002 EDX: 00000002
ESI: c27df080 EDI: c09b8480 EBP: f08a6dd4 ESP: f08a6d9c
DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
Process cc1 (pid: 3825, ti=f08a6000 task=f08b4010 task.ti=f08a6000)
Stack:
00000010 00000044 00000001 c083bb80 000000d0 c09b848c 00000010 00000005
f08b4010 c09b84ac 00000000 c1b2b400 00000000 fffaac98 f08a6de8 c0497dcb
00000001 00000000 c1b2b400 f08a6e68 c048221c 7e635025 09f26000 f31e1898
Call Trace:
[<c0497dcb>] ? mem_cgroup_charge+0x3d/0x48
[<c048221c>] ? handle_mm_fault+0x16a/0x747
[<c04818f0>] ? unmap_vmas+0x494/0x5bd
[<c0500661>] ? avc_has_perm+0x39/0x43
[<c06c63d7>] ? do_page_fault+0x2ed/0x6b5
[<c04ffe51>] ? avc_has_perm_noaudit+0x22a/0x359
[<c04443f9>] ? sched_clock_cpu+0x12c/0x13b
[<c048545b>] ? __vma_link+0x6e/0x73
[<c04854b6>] ? vma_link+0x56/0x7d
[<c048676c>] ? mmap_region+0x32b/0x41b
[<c0486ac7>] ? do_mmap_pgoff+0x26b/0x2cb
[<c049ff39>] ? path_put+0x15/0x18
[<c04638ba>] ? audit_syscall_exit+0xb2/0xc7
[<c06c60ea>] ? do_page_fault+0x0/0x6b5
[<c06c4867>] ? error_code+0x77/0x7c
Code: 10 00 00 e8 70 3a fc ff 89 f8 e8 21 f9 ff ff e9 bc 00 00 00 89 7e 04 8b 45 08 bb 04 00 00 00 8b 04 85 18 20 6d c0 89 06 8b 46 08 <8b> 00 c1 e8 1e 89 45 f0 8b 7f 30 c1 e0 06 8d 04 07 89 45 e0 e8 
EIP: [<c0497baa>] mem_cgroup_charge_common+0x13b/0x1ea SS:ESP 0068:f08a6d9c
---[ end trace 7ccfbbc14b74c6c6 ]---

_______________________________________________________________________________

While logged in as root in a shell on another machine when I try to change users on the notebook get this in the shell:



[root@notebook ~]#

Message from syslogd@notebook at Jan 27 10:58:36 ...

 kernel:Oops: 0000 [#1] SMP



Message from syslogd@notebook at Jan 27 10:58:36 ...

 kernel:last sysfs file: /sys/devices/virtual/backlight/acpi_video0/brightness



Message from syslogd@notebook at Jan 27 10:58:36 ...

 kernel:Process cc1 (pid: 3825, ti=f08a6000 task=f08b4010 task.ti=f08a6000)



Message from syslogd@notebook at Jan 27 10:58:36 ...

 kernel:Stack:



Message from syslogd@notebook at Jan 27 10:58:36 ...

 kernel: f08b4010 c09b84ac 00000000 c1b2b400 00000000 fffaac98 f08a6de8 c0497dcb



Message from syslogd@notebook at Jan 27 10:58:36 ...

 kernel: 00000001 00000000 c1b2b400 f08a6e68 c048221c 7e635025 09f26000 f31e1898



Message from syslogd@notebook at Jan 27 10:58:36 ...

 kernel:Call Trace:



Message from syslogd@notebook at Jan 27 10:58:36 ...

 kernel: [<c0497dcb>] ? mem_cgroup_charge+0x3d/0x48



Message from syslogd@notebook at Jan 27 10:58:36 ...

 kernel: [<c048221c>] ? handle_mm_fault+0x16a/0x747



Message from syslogd@notebook at Jan 27 10:58:36 ...

 kernel: [<c04818f0>] ? unmap_vmas+0x494/0x5bd



Message from syslogd@notebook at Jan 27 10:58:36 ...

 kernel: [<c0500661>] ? avc_has_perm+0x39/0x43



Message from syslogd@notebook at Jan 27 10:58:36 ...

 kernel: [<c06c63d7>] ? do_page_fault+0x2ed/0x6b5



Message from syslogd@notebook at Jan 27 10:58:36 ...

 kernel: [<c04ffe51>] ? avc_has_perm_noaudit+0x22a/0x359



Message from syslogd@notebook at Jan 27 10:58:36 ...

 kernel: [<c04443f9>] ? sched_clock_cpu+0x12c/0x13b



Message from syslogd@notebook at Jan 27 10:58:36 ...

 kernel: [<c048545b>] ? __vma_link+0x6e/0x73



Message from syslogd@notebook at Jan 27 10:58:36 ...

 kernel: [<c04854b6>] ? vma_link+0x56/0x7d



Message from syslogd@notebook at Jan 27 10:58:36 ...

 kernel: [<c048676c>] ? mmap_region+0x32b/0x41b



Message from syslogd@notebook at Jan 27 10:58:36 ...

 kernel: [<c0486ac7>] ? do_mmap_pgoff+0x26b/0x2cb



Message from syslogd@notebook at Jan 27 10:58:36 ...

 kernel: [<c049ff39>] ? path_put+0x15/0x18



Message from syslogd@notebook at Jan 27 10:58:36 ...

 kernel: [<c04638ba>] ? audit_syscall_exit+0xb2/0xc7



Message from syslogd@notebook at Jan 27 10:58:36 ...

 kernel: [<c06c60ea>] ? do_page_fault+0x0/0x6b5



Message from syslogd@notebook at Jan 27 10:58:36 ...

 kernel: [<c06c4867>] ? error_code+0x77/0x7c



Message from syslogd@notebook at Jan 27 10:58:36 ...

 kernel:Code: 10 00 00 e8 70 3a fc ff 89 f8 e8 21 f9 ff ff e9 bc 00 00 00 89 7e 04 8b 45 08 bb 04 00 00 00 8b 04 85 18 20 6d c0 89 06 8b 46 08 <8b> 00 c1 e8 1e 89 45 f0 8b 7f 30 c1 e0 06 8d 04 07 89 45 e0 e8



Message from syslogd@notebook at Jan 27 10:58:36 ...

 kernel:EIP: [<c0497baa>] mem_cgroup_charge_common+0x13b/0x1ea SS:ESP 0068:f08a6d9c



___________________________________________________________________________

So obviously the can't switch users is kernel related.

Thanks!



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David 2009-01-28 18:15:59 EST
gdm-2.24.1-4.fc10

The task switcher seems to have an issue..
Comment 2 Chuck Ebbert 2009-01-30 17:37:40 EST
Can you try the 2.6.29-rc3 kernel from Koji?
Comment 3 David 2009-01-31 02:32:01 EST
Hi Chuck,

That seems exactly the same as kernel-2.6.28.2-23

It seems to be something else?

It changes screens to where you select the users, but only OTHERS is showing and nothing else and its all frozen and appears locked up.

There are three users on the notebook.

It works okay if you logout and then back in, just cant switch users..
Comment 4 Chuck Ebbert 2009-02-01 02:35:59 EST
(In reply to comment #3)
> Hi Chuck,
> 
> That seems exactly the same as kernel-2.6.28.2-23
> 
> It seems to be something else?
> 
> It changes screens to where you select the users, but only OTHERS is showing
> and nothing else and its all frozen and appears locked up.
> 
> There are three users on the notebook.
> 
> It works okay if you logout and then back in, just cant switch users..

Can you post the oops message from 2.6.29-0.6? I need the addresses from that kernel.
Comment 5 David 2009-02-01 17:15:13 EST
Hi Chuck,

There is no kernel failure message from 2.6.29-0.6, or 2.6.28.2-23

Its now just freezing in the user switcher.

It brings up the 'other' in selection menu, but freezes and don't show all the other users.

Then have to repower the notebook (or ssh in remotely and reboot it).
Comment 6 James 2009-03-08 14:52:11 EDT
Created attachment 334447 [details]
Oops seen in similar circumstances on Clevo M720R, X3100 graphics, kernel-2.6.29-0.53.rc7.fc10.x86_64

I've been seeing something similar, using both kernel-2.6.27.19-170.2.35.fc10.x86_64 and kernel-2.6.29-0.53.rc7.fc10.x86_64 on Intel X3100 graphics hardware driven by xorg-x11-drv-i810-2.5.0-4.fc10.x86_64.

When I choose another user from the GNOME panel, another login screen begins but at some point as it's being drawn X freezes. Either I'm left with a black screen with a frozen cursor, or a half-drawn GDM on which the cursor moves but the display is otherwise unresponsive. If I go in remotely by ssh, I see that Xorg is pegged at around 100% CPU. I have to reboot the machine to get it back to a working state.

Once I tried killing X and got a kernel oops and a GPF --- see attached. I then had to hard-reset the notebook. (Without killing X, I don't see any kernel breakages, just X going wrong.)
Comment 7 David 2009-03-08 19:16:17 EDT
I agree with James, it is not related to the kernel.  However I can not specify a time when this started happening, I don't often switch users on my notebook so it would be impossible to pinpoint what package(s) did this and when.

So it is notebook related, something with gnome power management maybe?
Comment 8 James 2009-03-08 19:30:30 EDT
(In reply to comment #7)
> I agree with James, it is not related to the kernel.  However I can not specify
> a time when this started happening, I don't often switch users on my notebook
> so it would be impossible to pinpoint what package(s) did this and when.
> 
> So it is notebook related, something with gnome power management maybe?  

I think the bug has to be either in the kernel or Xorg. I've not tried to provoke the backtraces in 2.6.27, but rather than a kernel bug could it be Xorg going off on a wild one, corrupting kernel data structures? (Does Xorg still use this kind of privileged access?)
Comment 9 Steven Drinnan 2009-04-09 04:49:37 EDT
Same problem here. Sim to James. 

Logging out is OK. But can not switch users. My thinking is an Xorg Driver issue. As I have used another disk with a i386 kernel and the same results.

Hardware: 
HP540
4gb ram
Intel GMA X3100
kernel: 2.6.27.21-170.2.56.fc10.x86_64

Steps to reproduce:
1. Add a user
2. Log out and select switch user


Result: 
Screen locks up, mouse works but nothing else.

Expected Result:
Should give you a login screen.




I also have problems with some games (warzone2100) and sometimes compiz will lock up.

Each time it locks up I need to do a hard reboot Do not

Steven
Comment 10 James 2009-04-09 06:05:22 EDT
Switching users seems to work OK on a fully-updated F11 beta at the moment (although that's using KMS etc., so this comment might not me much help here).
Comment 11 Bug Zapper 2009-11-18 04:46:49 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 David 2009-11-18 10:32:15 EST
Fixed in F11